Main Page Widgets Namespaces Book

# Gtk::TextTagTable Class Reference
[TextView Classes]

Inheritance diagram for Gtk::TextTagTable:

[legend]

List of all members.

## Detailed Description

Typedefed as Gtk::TextBuffer::TagTable.

A Collection of Gtk::TextBuffer::Tags that can be used together.

A tag table defines a set of Gtk::TextBuffer::Tags that can be used together. Each buffer has one tag table associated with it; only tags from that tag table can be used with the buffer. A single tag table can be shared between multiple buffers, however.

## Public Types

typedef sigc::slot< void, const Glib::RefPtr<TextTag >&> | SlotForEach

## Public Member Functions

void | add (const Glib::RefPtr<TextTag>& tag)
| Add a tag to the table.
void | foreach (const SlotForEach& slot)
int | get_size () const
| Return value: number of tags in table.
const GtkTextTagTable* | gobj () const
| Provides access to the underlying C GObject.
GtkTextTagTable* | gobj ()
| Provides access to the underlying C GObject.
GtkTextTagTable* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr<const TextTag> | lookup (const Glib::ustring& name) const
| Look up a named tag.
Glib::RefPtr<TextTag> | lookup (const Glib::ustring& name)
| Look up a named tag.
void | remove (const Glib::RefPtr<TextTag>& tag)
| Remove a tag from the table.
Glib::SignalProxy1< void, const Glib::RefPtr<TextTag >&> | signal_tag_added ()
Glib::SignalProxy2< void, const Glib::RefPtr<TextTag> &, bool > | signal_tag_changed ()
Glib::SignalProxy1< void, const Glib::RefPtr<TextTag >&> | signal_tag_removed ()
virtual | ~TextTagTable ()

## Static Public Member Functions

static Glib::RefPtr<TextTagTable> | create ()

## Protected Member Functions

virtual void | on_tag_added (const Glib::RefPtr<TextTag>& tag)
virtual void | on_tag_changed (const Glib::RefPtr<TextTag>& tag, bool size_changed)
virtual void | on_tag_removed (const Glib::RefPtr<TextTag>& tag)
| TextTagTable ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::TextTagTable> | wrap (GtkTextTagTable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef sigc::slot<void, const Glib::RefPtr<TextTag>&> Gtk::TextTagTable::SlotForEach

## Constructor & Destructor Documentation

virtual Gtk::TextTagTable::~TextTagTable | ( |  | ) | `[virtual]`

Gtk::TextTagTable::TextTagTable | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::TextTagTable::add | ( | const Glib::RefPtr<TextTag>& | tag | ) |

Add a tag to the table.

The tag is assigned the highest priority in the table.

tag must not be in a tag table already, and may not have the same name as an already-added tag.

Parameters:

  | tag | A Gtk::TextTag.

static Glib::RefPtr<TextTagTable> Gtk::TextTagTable::create | ( |  | ) | `[static]`

void Gtk::TextTagTable::foreach | ( | const SlotForEach& | slot | ) |

int Gtk::TextTagTable::get_size | ( |  | ) | const

Return value: number of tags in table.

Returns:
  Number of tags in table.

const GtkTextTagTable* Gtk::TextTagTable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTextTagTable* Gtk::TextTagTable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkTextTagTable* Gtk::TextTagTable::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<const TextTag> Gtk::TextTagTable::lookup | ( | const Glib::ustring & | name | ) | const

Look up a named tag.

Parameters:

  | name | Name of a tag.

Returns:
  The tag, or `0` if none by that name is in the table.

Glib::RefPtr<TextTag> Gtk::TextTagTable::lookup | ( | const Glib::ustring & | name | ) |

Look up a named tag.

Parameters:

  | name | Name of a tag.

Returns:
  The tag, or `0` if none by that name is in the table.

virtual void Gtk::TextTagTable::on_tag_added | ( | const Glib::RefPtr<TextTag>& | tag | ) | `[protected, virtual]`

virtual void Gtk::TextTagTable::on_tag_changed | ( | const Glib::RefPtr<TextTag>& | tag,
|  | bool | size_changed |
| ) |  |  | `[protected, virtual]`

virtual void Gtk::TextTagTable::on_tag_removed | ( | const Glib::RefPtr<TextTag>& | tag | ) | `[protected, virtual]`

void Gtk::TextTagTable::remove | ( | const Glib::RefPtr<TextTag>& | tag | ) |

Remove a tag from the table.

This will remove the table's reference to the tag, so be careful - the tag will end up destroyed if you don't have a reference to it.

Parameters:

  | tag | A Gtk::TextTag.

Glib::SignalProxy1<void,const Glib::RefPtr<TextTag>&> Gtk::TextTagTable::signal_tag_added | ( |  | ) |

Prototype:
  `void on_my_tag_added(const Glib::RefPtr<TextTag>& tag)`

Glib::SignalProxy2<void,const Glib::RefPtr<TextTag>&,bool> Gtk::TextTagTable::signal_tag_changed | ( |  | ) |

Prototype:
  `void on_my_tag_changed(const Glib::RefPtr<TextTag>& tag, bool size_changed)`

Glib::SignalProxy1<void,const Glib::RefPtr<TextTag>&> Gtk::TextTagTable::signal_tag_removed | ( |  | ) |

Prototype:
  `void on_my_tag_removed(const Glib::RefPtr<TextTag>& tag)`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TextTagTable> wrap | ( | GtkTextTagTable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- texttagtable.h